/**
 * PGHM API Documentation
 * Test description
 *
 * OpenAPI spec version: v1
 * Contact: thomas.frion@protonmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


export interface User { 
    readonly id?: number;
    password: string;
    lastLogin?: Date;
    /**
     * Designates that this user has all permissions without explicitly assigning them.
     */
    isSuperuser?: boolean;
    /**
     * Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
     */
    username: string;
    firstName?: string;
    lastName?: string;
    email?: string;
    /**
     * Designates whether the user can log into this admin site.
     */
    isStaff?: boolean;
    /**
     * Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
     */
    isActive?: boolean;
    dateJoined?: Date;
    /**
     * The groups this user belongs to. A user will get all permissions granted to each of their groups.
     */
    groups?: Array<number>;
    /**
     * Specific permissions for this user.
     */
    userPermissions?: Array<number>;
}
